# _SCINTILLA

Scintilla constants, functions, and properties.
Do not modify anything in this module. Doing so will have unpredictable
consequences.

- - -

## Functions

- - -

<a id="next_indic_number"></a>
### `next_indic_number`()

Returns a unique indicator number for use with custom indicators.
Use this function for custom indicators in order to prevent clashes with
identifiers of other custom indicators.

Usage:

* `local indic_num = _SCINTILLA.next_indic_number()`

See also:

* [`buffer.indic_style`](buffer.html#indic_style)

- - -

<a id="next_marker_number"></a>
### `next_marker_number`()

Returns a unique marker number for use with `buffer.marker_define()`.
Use this function for custom markers in order to prevent clashes with
identifiers of other custom markers.

Usage:

* `local marknum = _SCINTILLA.next_marker_number()`

See also:

* [`buffer.marker_define`](buffer.html#marker_define)

- - -

<a id="next_user_list_type"></a>
### `next_user_list_type`()

Returns a unique user list type for use with `buffer.user_list_show()`.
Use this function for custom user lists in order to prevent clashes with
list identifiers of other custom user lists.

Usage:

* `local list_type = _SCINTILLA.next_user_list_type()`

See also:

* [`buffer.user_list_show`](buffer.html#user_list_show)

- - -


## Tables

- - -

<a id="constants"></a>
### `constants`

Map of Scintilla constant names to their numeric values.

- - -

<a id="functions"></a>
### `functions`

Map of Scintilla function names to tables containing their IDs, return types,
wParam types, and lParam types. Types are as follows:

  + `0`: Void.
  + `1`: Integer.
  + `2`: Length of the given lParam string.
  + `3`: Integer position.
  + `4`: Color, in "0xBBGGRR" format.
  + `5`: Boolean `true` or `false`.
  + `6`: Bitmask of Scintilla key modifiers and a key value.
  + `7`: String parameter.
  + `8`: String return value.

- - -

<a id="properties"></a>
### `properties`

Map of Scintilla property names to table values containing their "get"
function IDs, "set" function IDs, return types, and wParam types.
The wParam type will be non-zero if the property is indexable.
Types are the same as in the `functions` table.

See also:

* [`functions`](#functions)

- - -

